<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	
	<xs:group name="AnalysisPlugins">
        <xs:all>
			<xs:element name="ClusteringTracker" 			type="ClusteringTracker"	minOccurs="0"	maxOccurs="unbounded" />
		</xs:all>
	</xs:group>
	
	<xs:complexType name="ClusteringTracker">
		<xs:complexContent>
			<xs:extension base="morphAnalysisPlugin">
				<xs:annotation>
					<xs:appinfo>Data analysis</xs:appinfo>
				</xs:annotation>
				<xs:annotation>
					<xs:appinfo>Data Analysis</xs:appinfo>
					<xs:documentation>Plugin for analysis of cluster sizes.</xs:documentation>
				</xs:annotation>
				<xs:all>
					<xs:element name="ClusterID" type="cpmDoublePropertyRef" minOccurs="0"/>
				</xs:all>
				<xs:attribute name="celltype" type="cpmCellTypeRefList" />
				<xs:attribute name="exclude" type="cpmMathExpression"  use="optional" default="0"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>

	
	<xs:simpleType name="cpmCellTypeRefList">
		<xs:restriction base="cpmString">
			<xs:pattern value="\w+\s*(:?,\s*\w+\s*)*"/>
		</xs:restriction>
	</xs:simpleType>
</xs:schema>

